This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 162013 - KDE 3D screensavers freeze when trying to unlock session
KDE 3D screensavers freeze when trying to unlock session
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdeartwork (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-28 23:43 EDT by Vesko Tomov
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-30 05:59:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vesko Tomov 2005-06-28 23:43:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4; Linux) KHTML/3.4.1 (like Gecko)

Description of problem:
Under KDE, I have checked the option to request a password when interrupting a  
screensaver.  Whenever one of the KDE 3D screensavers is running (e.g.  
kpendulum), when I move the mouse, a login box appears.  As I type my  
password, the keyboard, mouse, and screen freeze and I need to unplug the  
computer.   
NOTE:  I have a Radeon 9700 video card with ati proprietary driver. 
Xscreensavers seem to work fine.  Also, in FC3 it used to work.    

Version-Release number of selected component (if applicable):
kde-3.4.1-0.fc4.1

How reproducible:
Always

Steps to Reproduce:
1. right-click on desktop -> configure -> screensaver   
2. select "pendulum" from 3d list; check "require password to stop" box -> ok 
3. right-click on desktop -> lock session: pendulum screensaver starts 
4. move mouse/press key: login dialogue appears -> begin typing password 
    

Actual Results:  system freezes  

Expected Results:  log back in to KDE 

Additional info:

from /var/log/messages: 
 
Jun 23 09:35:39 localhost kernel: Unable to handle kernel NULL pointer 
dereference at virtual address 00000016 
Jun 23 09:35:39 localhost kernel:  printing eip: 
Jun 23 09:35:39 localhost kernel: f9164d6e 
Jun 23 09:35:39 localhost kernel: *pde = 2878a067 
Jun 23 09:35:39 localhost kernel: Oops: 0000 [#1] 
Jun 23 09:35:39 localhost kernel: Modules linked in: appletalk ipx fglrx(U) 
parport_pc lp parport autofs4 rfcomm l2cap bluetooth sunrpc pcmcia ipt_REJECT 
ipt_state ip_conntrack iptable_filter ip_tables nls_utf8 ntfs dm_mod video 
button battery ac ohci1394 ieee1394 yenta_socket rsrc_nonstatic pcmcia_core 
uhci_hcd ehci_hcd snd_intel8x0m snd_intel8x0 snd_ac97_codec snd_seq_dummy 
snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss 
snd_mixer_oss snd_pcm snd_timer snd soundcore snd_page_alloc ipw2200(U) 
ieee80211(U) ieee80211_crypt(U) r8169 ext3 jbd 
Jun 23 09:35:39 localhost kernel: CPU:    0 
Jun 23 09:35:39 localhost kernel: EIP:    0060:[<f9164d6e>]    Tainted: P      
VLI 
Jun 23 09:35:39 localhost kernel: EFLAGS: 00010086   
(2.6.11-1.1369_FC4_cubbi8_swsusp2)  
Jun 23 09:35:39 localhost kernel: EIP is at sig_notifier+0xe/0x60 [fglrx] 
Jun 23 09:35:39 localhost kernel: eax: f918e8e8   ebx: 00000012   ecx: 
f9164d60   edx: ec456aa0 
Jun 23 09:35:39 localhost kernel: esi: f455c000   edi: f455cf0c   ebp: 
00000012   esp: f455ce44 
Jun 23 09:35:39 localhost kernel: ds: 007b   es: 007b   ss: 0068 
Jun 23 09:35:39 localhost kernel: Process kpendulum.kss (pid: 3452, 
threadinfo=f455c000 task=ec456aa0) 
Jun 23 09:35:39 localhost kernel: Stack: badc0ded f7d38cac f455c000 c012f14e 
00000012 00000013 000f4232 00000000  
Jun 23 09:35:39 localhost kernel:        ec456f04 f455cf0c ec456aa0 c012f322 
00000001 24c6ac40 00000000 f455ce9c  
Jun 23 09:35:39 localhost kernel:        ffff23f5 f455ce9c ffff23f5 c038a231 
f455c000 f455c000 f455c000 f455c000  
Jun 23 09:35:39 localhost kernel: Call Trace: 
Jun 23 09:35:39 localhost kernel:  [<c012f14e>] __dequeue_signal+0x106/0x1bd 
Jun 23 09:35:39 localhost kernel:  [<c012f322>] dequeue_signal+0x11d/0x244 
Jun 23 09:35:39 localhost kernel:  [<c038a231>] schedule_timeout+0xdb/0x124 
Jun 23 09:35:39 localhost kernel:  [<c0132405>] 
get_signal_to_deliver+0xe6/0xaa5 
Jun 23 09:35:39 localhost kernel:  [<c0103865>] do_signal+0x5d/0x111 
Jun 23 09:35:39 localhost kernel:  [<c015e6c1>] audit_syscall_exit+0x496/0x4ab 
Jun 23 09:35:39 localhost kernel:  [<c01a27b1>] __pollwait+0x0/0x96 
Jun 23 09:35:39 localhost kernel:  [<c01a30e2>] sys_select+0x2c3/0x38d 
Jun 23 09:35:39 localhost kernel:  [<c0108459>] do_syscall_trace+0x112/0x123 
Jun 23 09:35:39 localhost kernel:  [<c0103940>] do_notify_resume+0x27/0x37 
Jun 23 09:35:39 localhost kernel:  [<c0103ae2>] work_notifysig+0x13/0x15 
Jun 23 09:35:39 localhost kernel: Code: 04 24 03 00 00 00 e8 bc ab ff ff 89 c2 
f7 da eb e8 8d b6 00 00 00 00 8d bf 00 00 00 00 83 ec 08 89 1c 24 8b 5c 24 0c 
89 74 24 04 <8b> 53 04 8b 0a 85 c9 78 10 b8 01 00 00 00 8b 1c 24 8b 74 24 04  
Jun 23 09:35:39 localhost kernel:  <0>Fatal exception: panic in 5 seconds
Comment 1 Vesko Tomov 2005-06-29 18:29:17 EDT
I have to clarify this.  It is not a KDE-specific bug.  It happens with any of
the OpenGL screensavers under Gnome, too.  So most-likely it is a fglrx bug--I
appologize if it doesn't belong here.  
Comment 2 Ngo Than 2005-06-30 05:59:21 EDT
you are using the ati proprietary driver, you should report this problem to ATI
please. Thanks

Note You need to log in before you can comment on or make changes to this bug.